using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using OcadMapLibrary;

namespace OPlanner {

	public class OcadMapVisual : Control {

		OcadMap map;
		public OcadMap Map {
			get {
				return map;
			}
			set {
				map = value;
			}
		}

		protected override void OnRender(DrawingContext drawingContext) {
			if (map == null) {
				return;
			}
			map.DrawMap(drawingContext);
		}

	}

}
